package com.madeu.service.web.webmember;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WebMemberService {

	public HashMap<String, Object> selectMemberId(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListMemberDoctorOption(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListMemberDoctorConsultingOption(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListMemberIntro(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListMember(HashMap<String, Object> paramMap) throws Exception;
	public List<Map<String, Object>> selectListMemberExcel(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectMember(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateMemberPassword(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertMember(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateMemberIntro(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateMember(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateMemberStatus(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> deleteMember(HashMap<String, Object> paramMap) throws Exception;

}
